[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DrawAllRows

Draws all of the rows for the grid.

## Declaration

Source position: grids.pas line 1054

`protected procedure TCustomGrid.DrawAllRows; virtual;`

## Description

Draws both the fixed rows and any visible data rows using cached information in the grid control. Calls DrawRow to render each row by its row number in the control.

DrawAllRows is called from the Paint method.

## See also

TCustomGrid.GCache |  | Contains cached data about the visual layout and state for the grid control.
TCustomGrid.DrawRow |  | Draws the columns for the specified row in the grid control.
TCustomGrid.Paint |  | Draws the edges, borders, and rows in the grid control.
TGridDataCache |  | Stores cached information about a grid control.